@import url("https://fonts.googleapis.com/css2?family=Caladea:ital,wght@0,400;0,700;1,400;1,700&family=Roboto+Slab:wght@100..900&family=Roboto:ital,wght@0,100;0,300;0,400;0,500;0,700;0,900;1,100;1,300;1,400;1,500;1,700;1,900&display=swap");

/* Container for the custom select dropdown */
.custom-select-new {
  position: relative;
  width: 100%;
}

.select-selected-new {
  background-color: transparent;
  padding: 10px;
  border: 1px solid #e0e0e0;
  cursor: pointer;
  user-select: none;
  font-size: 16px;
  position: relative;
  border-radius: 5px;
  text-align: center;
  display: flex;
  height: 30px;
  padding: 10px 15px;
  justify-content: center;
  align-items: center;
  gap: 8px;
  flex-shrink: 0;
  align-self: stretch;
  height: 48px;
}

.select-selected-new:hover {
  border: 1px solid #c1a865;
  color: #c1a865;
}

.select-arrow-new {
  position: absolute;
  top: 50%;
  right: 20px;
  transform: translateY(-50%);
  pointer-events: none;
  transition: transform 0.3s ease;
  color: var(--dragon-dark-gold);
 
}

.select-items-new {
  position: absolute;
  background-color: #e0e0e0;
  color: #432131;
  max-height: auto;
  overflow-y: auto;
  z-index: 99;
  width: 100%;
  display: none;

  text-align: center;
  top: 55px;
  border-bottom-left-radius: 5px;;
  border-bottom-right-radius: 5px;
}

.select-items-new div {
  padding: 10px;
  cursor: pointer;

  overflow: hidden;
  color: #432131;
  text-overflow: ellipsis;
  font-family: Roboto;
  font-size: 14px;
  font-style: normal;
  font-weight: 400;
  line-height: 122%;
  border-bottom: 1px solid rgba(67, 33, 49, 0.40);

}
.select-items-new div:hover{
    background:#432131 ;
    color: #fff !important;
}

.select-items-new div:hover {
  color: #c1a865;
}

.active .select-items-new {
  display: block;
}

.selected-text-new {
  color: #e0e0e0;
  font-size: 14px;
  text-align: center;
  text-overflow: ellipsis;
  font-family: Roboto;
  font-size: 14px;
  font-style: normal;
  font-weight: 400;
  line-height: 122%;
  margin-right: 20px;
}

.selected-text-new:hover {
  color: #c1a865;
}

.custom-select-new:hover .selected-text {
  border: none;
  color: #c1a865;
}

.custom-select-new:hover .select-arrow-new img {
  filter: brightness(0) saturate(100%) invert(60%) sepia(42%) saturate(500%)
    hue-rotate(15deg) brightness(105%) contrast(92%);
}

